Bug 206882 - gdm - segfault at 0000000000000010
gdm - segfault at 0000000000000010
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-17 14:16 EDT by Michal Jaegermann
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-18 13:37:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
debug output from gdm (7.99 KB, text/plain)
2006-09-18 12:37 EDT, Michal Jaegermann
no flags Details

  None (edit)
Description Michal Jaegermann 2006-09-17 14:16:08 EDT
Description of problem:

After the latest update to gdm-2.16.0-4.fc6 I started to collect
in /var/log/messages entries like that:

Sep 17 11:40:38 dyna0 kernel: gdm-binary[2612]: segfault at 0000000000000010 rip
000000322f2082b9 rsp 00007fffcfd28940 error 4
Sep 17 11:48:28 dyna0 kernel: gdm-binary[3215]: segfault at 0000000000000010 rip
000000322f2082b9 rsp 00007fff5a48f680 error 4
Sep 17 11:49:00 dyna0 kernel: gdm-binary[3314]: segfault at 0000000000000010 rip
000000322f2082b9 rsp 00007ffffd890a80 error 4

This happens every time gdm starts and it is enough to 'pkill -f gdm'
to get the next segfault entry.  After that gdm seems to start, shows
a login screen and everything looks fine save those segfaults.
'pgrep -l -f gdm' after the last restart shows:

3273 /usr/sbin/gdm-binary -nodaemon
3308 /usr/sbin/gdm-binary -nodaemon
3317 /usr/bin/Xorg :0 -audit 0 -auth /var/gdm/:0.Xauth -nolisten tcp vt7

Version-Release number of selected component (if applicable):
gdm-2.16.0-4.fc6

How reproducible:
on every gdm start

Additional info:
I have gdm currently configured to use gdmlogin plus BackgroundProgram,
which happens to be a shell script, and not gdmgreeter.

I do not have other architecure test system to check if the issue
is x86_64 specific.
Comment 1 Ray Strode [halfline] 2006-09-18 10:22:56 EDT
if you set Enable=true in the [debug] section of /etc/gdm/custom.conf what does
/var/log/messages say before the crash?

Do you have  the coolkey  package installed?
Comment 2 Michal Jaegermann 2006-09-18 12:37:26 EDT
Created attachment 136554 [details]
debug output from gdm

> ... what does /var/log/messages say before the crash?

It says:

gdm_server_spawn: Forked server on pid 2624
gdm-binary[2623]: segfault at 0000000000000010 ....

The whole relevant excerpt from /var/log/messages is attached.
This is the only place where 2623 process is mentioned in logs.

Can you tell if this happens in such location that a NULL pointer
would be valid and would prevent a memory access?  But if this is
a single bit flip that I would expect to see more troubles and
not only, consistently, a new version of gdm.

> Do you have  the coolkey  package installed?

No, I do not.
Comment 3 Ray Strode [halfline] 2006-09-18 13:37:52 EDT
Okay, i think I found the problem.  Can you tell me if you still see the problem
in tomorrow's rawhide?  If so, reopen.
Comment 4 Michal Jaegermann 2006-09-20 15:23:20 EDT
Indeed, after an update to gdm-2.16.0-8.fc6 segfaults are gone.  Thanks!
Comment 5 Xiaohong Wang 2006-10-15 05:22:31 EDT
Confirmed that it has been fixed in gdm-2.16.0-8.fc6 and gdm-2.16.0-10.el5

Note You need to log in before you can comment on or make changes to this bug.